Bug 276031 - RFE: upgrade to recent version
RFE: upgrade to recent version
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: geany (Show other bugs)
7
All All
medium Severity low
: ---
: ---
Assigned To: Josef Bacik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-04 07:14 EDT by Jonathan Underwood
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.12-4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-20 12:54:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2007-09-04 07:14:14 EDT
Description of problem:
Version 0.11 was released 21 May 2007 - please could you push an updated package
for F-7 - geany-0.10.1-1.fc7 is the latest package I see for F-7.
Comment 1 Josef Bacik 2007-09-06 09:09:38 EDT
hmm yeah i'll do that this weekend.  Do you maintain packages for fedora?  I
will probably be orphaning this one as I don't use it much anymore and have
other things to deal with.  If you are interested let me know.
Comment 2 Jonathan Underwood 2007-09-06 11:33:42 EDT
Hi - I do maintain some fedora packages, but I didn't want to just go around
updating other people's packages - thought it polite to file a RFE. If you like,
I'm happy to co-maintain it with you - am reluctant to take on sole
responsibility straight away though - good to have another pair of eyes looking
over things.
Comment 3 Jonathan Underwood 2007-09-08 20:21:14 EDT
Have updated spec file and uploaded new source tarball and pushed a package
build - all for the devel branch only. Building now, will look at it in the morning.
Comment 4 Jonathan Underwood 2007-09-09 10:25:01 EDT
Updated packages built for devel and F-7. Have submitted an request to push to
updates-testing for F-7, although was surprised that would work. Have submitted
a request via the package database to add my name for commits etc (not sure this
was necessary).
Comment 5 Jonathan Underwood 2007-09-20 11:19:29 EDT
Updates have been built for a while now, but not pushed to the repos as you
haven't accepted my Koji/Bodhi requests for co-maintainership - could you have a
look at that when you get chance.

Thanks.
Comment 6 Jonathan Underwood 2007-09-20 11:20:17 EDT
By Koji/Bodhi, I meant package database, of course :)
Comment 7 Josef Bacik 2007-09-21 18:09:41 EDT
so i havent been keeping track and I have no idea how to do that.  I'll try and
figure that out and flip the right bits at some point.  Sorry about that.
Comment 8 Josef Bacik 2007-09-24 09:46:01 EDT
alrighty, i think i did that right so you should be good to go.
Comment 9 Rohan 2007-10-17 10:36:32 EDT
I didn't want to open a new bug for this (probably should have) but geany 0.12
was released a little while ago and some updates packages would be cool.
Comment 10 Jonathan Underwood 2007-10-17 10:42:24 EDT
Problem is, Rawhide is in feature freeze, so we can't add geany 0.12 there, and
updating the F-7 version would then break the upgrade path from F-7 to F-8. So I
think it has to wait until after the release of F-8...
Comment 11 Rohan 2007-10-17 10:49:20 EDT
(In reply to comment #10)
> Problem is, Rawhide is in feature freeze, so we can't add geany 0.12 there, and
> updating the F-7 version would then break the upgrade path from F-7 to F-8. So I
> think it has to wait until after the release of F-8...

Ah, I forgot the feature freeze ;)

Post-F8 update sounds good.

Comment 12 Jonathan Underwood 2007-10-18 19:34:23 EDT
You can pull 0.12 packages directly from Koji, if you fancy testing them:

http://koji.fedoraproject.org/koji/buildinfo?buildID=21628
Comment 13 Rohan 2007-10-18 20:36:49 EDT
Awesome, I'll do that.

I see that it has been tagged as an update-candidate for F7.  Any idea if it
will be accepted?
Comment 14 Jonathan Underwood 2007-10-19 07:15:14 EDT
(In reply to comment #13)
> Awesome, I'll do that.
> 

Thanks.

> I see that it has been tagged as an update-candidate for F7.  Any idea if it
> will be accepted?

All packages built with koji for released branches are initially tagged as
update-candidate, and then the packager requests that it is tagged
updates-testing to make it appear in the updates-testing repo, and then later
tagged as updates to be pushed into the updates repo. 

I won't request it be tagged for updates-testing yet though, as that will break
the F-7 -> F-8 updgrade path.

Once F-8 is out of the door I'll push it to the repos.
Comment 15 Fedora Update System 2007-11-12 18:54:23 EST
geany-0.12-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update geany'
Comment 16 Fedora Update System 2007-11-20 12:54:45 EST
geany-0.12-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.